#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 clash-ghc
version:              1.4.3
visibility:           public
id:                   clash-ghc-1.4.3-BPdgktX4QZkIiEWTtGDI7M
key:                  clash-ghc-1.4.3-BPdgktX4QZkIiEWTtGDI7M
license:              BSD-2-Clause
copyright:
    Copyright © 2012-2016, University of Twente,
    2016-2017, Myrtle Software Ltd,
    2017-2019, QBayLogic B.V., Google Inc.

maintainer:           QBayLogic B.V. <devops@qbaylogic.com>
author:               The Clash Authors
homepage:             https://clash-lang.org/
synopsis:
    Clash: a functional hardware description language - GHC frontend

description:
    Clash is a functional hardware description language that borrows both its
    syntax and semantics from the functional programming language Haskell. The
    Clash compiler transforms these high-level descriptions to low-level
    synthesizable VHDL, Verilog, or SystemVerilog.

    Features of Clash:

    * Strongly typed, but with a very high degree of type inference, enabling both
    safe and fast prototyping using concise descriptions.

    * Interactive REPL: load your designs in an interpreter and easily test all
    your component without needing to setup a test bench.

    * Higher-order functions, with type inference, result in designs that are
    fully parametric by default.

    * Synchronous sequential circuit design based on streams of values, called
    @Signal@s, lead to natural descriptions of feedback loops.

    * Support for multiple clock domains, with type safe clock domain crossing.


    This package provides:

    * Clash Compiler binary using GHC/Haskell as a frontend


    Prelude library: <https://hackage.haskell.org/package/clash-prelude>

category:             Hardware
abi:                  b4aedc701794aec0713ae1229de047ba
exposed:              True
exposed-modules:
    Clash.GHC.Evaluator Clash.GHC.Evaluator.Primitive
    Clash.GHC.GenerateBindings Clash.GHC.LoadModules
    Clash.GHC.NetlistTypes Clash.GHC.PartialEval
    Clash.GHC.PartialEval.Eval Clash.GHC.PartialEval.Primitive
    Clash.GHC.PartialEval.Quote Clash.GHCi.Common Clash.Main

hidden-modules:
    Clash.GHCi.UI Clash.GHCi.UI.Info Clash.GHCi.UI.Monad
    Clash.GHCi.UI.Tags Clash.GHC.ClashFlags Clash.GHC.GHC2Core
    Clash.GHC.LoadInterfaceFiles Clash.GHC.Util Paths_clash_ghc
    Clash.GHCi.Leak Clash.GHCi.Util

import-dirs:          /usr/lib/ghc-9.0.2/site-local/clash-ghc-1.4.3
library-dirs:         /usr/lib/ghc-9.0.2/site-local/clash-ghc-1.4.3
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.2/clash-ghc-1.4.3
hs-libraries:         HSclash-ghc-1.4.3-BPdgktX4QZkIiEWTtGDI7M
depends:
    Cabal-3.4.1.0 array-0.5.4.0 base-4.15.1.0
    bifunctors-5.5.11-Cd91CVeBuoc7LKSbtuiyyt bytestring-0.10.12.1
    clash-lib-1.4.3-1DEuDf9pOyH3klNinWix3K
    clash-prelude-1.4.3-1haDZXrWf2MCA7iwwBk4X7
    concurrent-supply-0.1.8-BH5jN9hB4QWLpNcdphJbRr containers-0.6.4.1
    deepseq-1.4.5.0 directory-1.3.6.2 exceptions-0.10.4
    extra-1.7.10-1cTSMPNCkjzfqcHCpXCjI filepath-1.4.2.1 ghc-9.0.2
    ghc-bignum-1.1 ghc-boot-9.0.2 ghc-prim-0.7.0
    ghc-typelits-extra-0.4.3-20oeAfIpkSwHzmZmH1Y7ax
    ghc-typelits-knownnat-0.7.6-IbDk1MaUejgFnHSt5OE6hd
    ghc-typelits-natnormalise-0.7.6-67E0ae8Hiu177KciwS40m8 ghci-9.0.2
    hashable-1.3.5.0-6AeYBBukoSPGSG8LxP8orZ haskeline-0.8.2
    lens-5.1-2q03Epz9bXQ9QAyENgROz6 mtl-2.2.2
    primitive-0.7.3.0-6wYQtSKx96uH7VCWNeklkU process-1.6.13.2
    reflection-2.1.6-giTpYPhA9fJ5oy8uVKYSs
    split-0.2.3.4-2Z6bQt0F5pJ379R6VMQMeY template-haskell-2.17.0.0
    text-1.2.5.0 time-1.9.3 transformers-0.5.6.2
    uniplate-1.6.13-10Zi4GJry9QA8NYRoRhxvk unix-2.7.2.2
    unordered-containers-0.2.15.0-BJzMSJlvLJpI03HKugcsDn
    utf8-string-1.0.2-AOWVLBhuvp8IuetdNwScv2
    vector-0.12.3.1-IPjkfAE3hEhDt08GLG1iXV

haddock-interfaces:   /usr/share/doc/clash-ghc/html/clash-ghc.haddock
haddock-html:         /usr/share/doc/clash-ghc/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

